package com.ali.notificationsvc.services;

import com.ali.notificationsvc.dtos.CreateNotificationDto;
import com.ali.notificationsvc.dtos.NotificationDto;
import com.ali.notificationsvc.status.RequestStatus;

import java.util.List;

public interface INotificationService {
    public NotificationDto getById(int notificationId);
    public List<NotificationDto> getAll();
    public List<NotificationDto> getNotificationByJobseekerId(int jobseekerId);
    public List<NotificationDto> getNotificationByCompanyId(int companyId);
    public RequestStatus create(CreateNotificationDto cNotificationDto);
    public RequestStatus update(NotificationDto notificationDto);
    public RequestStatus delete(int notificationId);
    public boolean existById(int notificationId);
    public int getUnReadNotificationsNumberByJobseekerId(int jobseekerId);
    public int getUnReadNotificationsNumberByCompanyId(int companyId);
}
